var myvideo;//video要素格納
var videoinfo;//時間表示するp要素格納

//再生/一時停止(現在一時停止されているかどうかで分岐)
function playvideo() {
	if (myvideo.paused)myvideo.play();
	else myvideo.pause();
}

//停止(時間を0に戻し、一時停止命令)
function stopvideo() {
	myvideo.currentTime = 0;
	myvideo.pause();
}

//再生速度UP
function upspeed() {
	myvideo.playbackRate += 0.5;
}

//再生速度DOWN
function downspeed() {
	myvideo.playbackRate -= 0.5;
}

//初期処理
function init(){
	videoinfo = document.getElementById("videoinfo");
	myvideo = document.getElementById("myvideo");
	
	//動画終了イベント
	myvideo.addEventListener("ended", function(){
		stopvideo();
		alert("再生終了");
	}, true);

	//再生時間更新時イベント
	myvideo.addEventListener("timeupdate", function() {
		videoinfo.innerHTML = Math.round(myvideo.currentTime) + "sec / " + Math.round(myvideo.duration) + "sec";
	}, true);
}